import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import '../../../../core/styles/app_color.dart';
import '../bloc/restore_password_bloc.dart';
import 'restore_password_layout.dart';

class RestorePasswordScreen extends StatelessWidget {
  const RestorePasswordScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      resizeToAvoidBottomInset: true,
      body: MultiBlocProvider(
        // Define the providers for the OnboardingBloc and other blocs
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => RestorePasswordBloc(),
          ),
        ],
        child: const RestorePasswordLayout(),
      ),
    );
  }
}
